"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _path = _interopRequireDefault(require("path"));

var _fs = _interopRequireDefault(require("mz/fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var getContentsFactory = function getContentsFactory(base) {
  return function (files) {
    return Promise.all(files.map(function (file) {
      return _fs["default"].readFile(_path["default"].join(base, file), 'utf8').then(function (data) {
        return {
          name: _path["default"].basename(file, '.json'),
          contents: JSON.parse(data)
        };
      });
    }));
  };
};

var _default = getContentsFactory;
exports["default"] = _default;